mIRC Homepage

Using older versions of mIRC

Posted By: Khaled

Using older versions of mIRC - 19/02/19 12:06 PM

As with most software, new versions of mIRC are released every so often that add new features, fix bugs, and address security issues.

We generally recommend using the latest version of mIRC because it can include changes that address important issues.

Until recently, the mIRC website provided a download link for an older version of mIRC, mIRC v6.35, and recommended it as the only safe version for users wanting to use an older version of mIRC. All versions older than mIRC v6.35 are open to exploits. An exploit allows someone to gain access to your computer without you realizing it.

However, recent security fixes mean that mIRC v6.35 is now also not safe. Due to the number of bug and, especially, security fixes, we can no longer recommend using any older versions of mIRC.

In the same way that you would not use older versions of web browsers, such as Google Chrome, Firefox, or Microsoft Edge, that have security issues, you should not use older versions of mIRC for the same reason.

The only version we can recommend using is the latest version available from the official mIRC download page.
© 2020 mIRC Discussion Forums